Help and Support

Supported Browsers

Our UKCAT course requires an up-to-date browser on a desktop or laptop computer. See our System Requirements page for current specifics.

For information about what a browser is, what you’re using and what your options are, see What Browser

If you are having problems we suggest trying Google Chrome or Mozilla Firefox , which are available to download and use free-of-charge for most operating systems.

Remember, you don’t need to switch browser for everything you do, you could just use it for your UKCAT practice.

Windows users must use Microsoft Edge, or one of the alternatives mentioned above. Internet Explorer is not supported.

Users of old Macs should look into one of the replacement browsers above, as Safari updates are not available for old Mac OS versions. This will lead to problems with our site, other sites, and expose you to security risks.

Mobile device users should be able to access the course tutorials without issue, but the practise system and mock exams are not accessible, as we believe it is best to train on the same platform as the UKCAT exam.

< Back to index